<?php

namespace App\Http\Controllers;
// use Google\Cloud\Vision\V1\ImageAnnotatorClient;
use thiagoalessio\TesseractOCR\TesseractOCR;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class Telegrambot_Controller extends Controller
{
 
  
         public function extractImageText(Request $request)
        {
            $request->validate(['image' => 'required|image']);
            $path = $request->file('image')->store('images');

            $fullPath = storage_path('app/' . $path);

            $text = (new TesseractOCR($fullPath))->run();

            return back()->with('text', $text);
        }
        public function extractMrz(Request $request)
        {
            // Sample MRZ input
            $mrzData =  $request-> input('text');
            // "IDKHM1809374606<<<<<<<<<<<<<<<<< 0203188M2708218KHM<<<<<<<<<<<<<";
        
            // Step 1: Remove '<' characters from the MRZ data
            $mrzData = str_replace('<', '', $mrzData);
        
            // Step 2: Split the MRZ data into the parts
            $parts = preg_split('/\s+/', $mrzData); // Split by one or more spaces
        
            // Step 3: Check if the data has enough parts
            if (count($parts) < 1) {
                return response()->json([
                    'error' => 'Invalid MRZ data, insufficient parts.',
                ], 400); // Return an error if there aren't enough parts
            }
        
            // Extract parts
            $idPart = $parts[0]; // IDKHM1706691967
            // $secondPart = $parts[1] . $parts[2] . $parts[3] . $parts[4]; // 9511062M3210031KHM
        
            // Handle the name part (split by "<<" which is common in MRZ data)
            // $nameParts = explode('<<', $parts[5]); // Split the name part
        
            // If there are multiple name parts, combine them with a space
            // $namePart = implode(' ', $nameParts);
        
            // Step 4: Format the output as requested
            // $formattedResult = "{$idPart},{$secondPart},{$namePart}";
        
            // Step 5: Return the formatted result
            DB::table('option_one')
            ->insert([
                'text'=>$idPart,
               ]);
            return response()->json([
                'idPart' => $idPart,
                // 'secondPart' => $secondPart,
                // 'namePart' => $namePart,
            ]);
        }
        public function option_one(Request $request){
            $bank =  $request-> input('type_bank');
            switch($bank){
                // Sacombank
                case 1:
            DB::table('sacombank_table')
            ->insert([
                'Amount' => $request ->Amount
                // 'Transaction code' => $listData[0]['Transaction code'],
                // 'Transaction hash' => $listData[0]['Transaction hash'],
                // 'Transaction date' => $listData[0]['Transaction date'],
                // 'Source account' => $listData[0]['Source account'],
                // 'Beneficiary account' => $listData[0]['Beneficiary account'],
                // 'Beneficiary name' => $listData[0]['Beneficiary name'],
                // 'Fee + Tax' => $listData[0]['Fee + Tax'],
                // 'Total debit' => $listData[0]['Total debit'],
                // 'Content' => $listData[0]['Content'],
                
               ]);
                break;
               case 2:
                DB::table('ababank_table')
                ->insert([
                    'Original amount:' => $request ->Amount
                    // 'Transaction code' => $listData[0]['Transaction code'],
                    // 'Transaction hash' => $listData[0]['Transaction hash'],
                    // 'Transaction date' => $listData[0]['Transaction date'],
                    // 'Source account' => $listData[0]['Source account'],
                    // 'Beneficiary account' => $listData[0]['Beneficiary account'],
                    // 'Beneficiary name' => $listData[0]['Beneficiary name'],
                    // 'Fee + Tax' => $listData[0]['Fee + Tax'],
                    // 'Total debit' => $listData[0]['Total debit'],
                    // 'Content' => $listData[0]['Content'],
                    
                   ]);
                break; 

            }
            
            return response()->json([
               "message" => "successfuly"
                // 'secondPart' => $secondPart,
                // 'namePart' => $namePart,
            ]);
        }
        
        
    
}
