<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Telegrambot_Controller;
use App\Http\Controllers\option_one_controller;
use App\Http\Controllers\filedBank_controller;
use App\Http\Controllers\bank_controller;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
Route::post('/extract/image/text/option/No',[Telegrambot_Controller::class,'extractImageText']);
Route::post('/extract/image/text/option1',[Telegrambot_Controller::class,'option_one']);
// Route::post('/extract/image/text',[Telegrambot_Controller::class,'extractImageText']);


Route::post('/calcuate/money/groups',[option_one_controller::class,'calculate_price_group']);
Route::post('/dropdown/list/bank',[filedBank_controller::class,'fieldBankMethod']);
Route::post('/field/data/bank',[filedBank_controller::class,'feild_bank_model']);

//Bank
Route::post('/add/more/bank',[bank_controller::class,'addbank']);
Route::post('/list/bank',[bank_controller::class,'list_bank']);
Route::post('/calculate/amount/Total',[option_one_controller::class,'calculateAmount']);
//Option Bank
Route::post('edit/option',[bank_controller::class,'option_edit']);

//Member
Route::post('/edit/Rate/Exchange',[option_one_controller::class,'editRate_exchangeRate']);
Route::post('/memberList',[bank_controller::class,'memberList']);
Route::post('/member/list',[option_one_controller::class,'listMember']);
Route::post('add/member',[option_one_controller::class,'addMember']);
Route::post('listData/groupID',[option_one_controller::class,'listData_groupID']);
// Calculate Price 
Route::post('/calculate/amount',[option_one_controller::class,'calculate_amount']);
Route::post('/calculate/amount/thailand',[option_one_controller::class,'calculate_amount_thai']);


